# Basic macros
%define name    mtpaint
%define version 3.40
%define release %mkrel 1

# Macros for in the menu-file.
%define section Multimedia/Graphics
%define title   MTPaint

%define summary mtPaint is a simple painting program

Summary:	%summary
Summary(de):	mtPaint ist ein einfaches Malprogramm
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Graphics
URL:		http://mtpaint.sourceforge.net/
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}gif-devel
BuildRequires:	%{_lib}jpeg62-devel
BuildRequires:	%{_lib}tiff-devel
Requires:	ungifsicle
Source0:       %{name}-%{version}.tar.xz
Source1:       %{name}-icons.tar.gz
Patch1:        configure.patch
BuildRoot:     %_tmppath/%name-buildroot

%description
mtPaint is a simple painting program which Mark Tyler developed from
scratch so he could easily create pixel art and manipulate digital photos.

%description -l de
mtPaint ist ein einfaches Malprogramm, das Mark Tyler von Grund auf
entwickelt hat, um einfache Bilder zu erstellen oder Digitalphotos zu bearbeiten. 

%prep
%setup -q
%setup -q -T -D -a1 # unpack icons
%patch1 -p0

%build
%configure cflags asneeded intl man gtk2 tiff jpeg GIF
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%makeinstall_std

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{Summary}
Comment[de]=mtPaint ist ein einfaches Malprogramm
Exec=%{_bindir}/%{name} 
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

#screenshot menu entry
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-screenshot.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title} Screenshot
Comment=%{Summary}
Comment[de]=mtPaint ist ein einfaches Malprogramm
Exec=%{_bindir}/%{name} -s
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF


# icon
# Use {curly braces} here to protect the variable name.
# ie: Is name48.png %{name}48.png or %{name48}.png?
%__install -D -m 644 %{name}-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}-16.png %buildroot/%_miconsdir/%name.png

# Macro for locales
# If your rpm does not need this you can remove it.  Also change
# ``%files -f %name.lang'' to ``%files'' below.
%find_lang %name

%pre

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}


%clean
%{__rm} -rf %{buildroot}


%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*

%defattr(0644,root,root,0755)
%doc COPYING README NEWS
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/mtpaint.png
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%_mandir/man1/%name.1*

%changelog
* Thu Aug 09 2012 Neal <nealbrks0 at gmail dot com> 3.40-1pclos2012
- process

* Thu Aug 09 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.40-1pclos2012
- 3.40
- fixed patch
- replaced ./configure by %configure
- replaced %{_make} install ... by %makeinstall_std

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 3.31-3pclos2010
- change dep to ungifsicle

* Tue Jun 15 2010 maik3531 <maik3531 at yahoo dot de> 3.31-2pclos2010
- fix locale add configure.patch
- update to pclos2010

* Tue Aug 04 2009 Anikan <mamifer0 at msn dot com> 3.31-1pclos2009
- new version 3.31

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 3.21-3pclos2009
- fix synaptic group

* Mon Nov 17 2008 KDulcimer <kdulcimer@gmail.com> 3.21-2tinyme2008
- Added dependecy on gifsicle

* Sat Jun 28 2008 KDulcimer <kdulcimer@gmail.com> 3.21-1tinyme2008
- 3.21

* Tue Mar 18 2008 KDulcimer <kdulcimer@gmail.com> 3.20-3tinyme2008
- Add second desktop menu entry for screenshots

* Thu Feb 23 2008 KDulcimer <kdulcimer@gmail.com> 3.20-2tinyme2008
- fix icons

* Thu Feb 14 2008 KDulcimer <kdulcimer@gmail.com> 3.20-1tinyme2008
- 3.20

* Tue Jul 24 2007 Gettinther <gettinther@gmail.com> 3.11-1pclos_tinyme2007
-First release for tinyme
